SDL_iconv_wchar_utf8(3)

NAME
SDL_iconv_wchar_utf8 - Convert a wchar_t string to UTF-8.

SYNOPSIS
#include <SDL3/SDL_stdinc.h>

#define SDL_iconv_wchar_utf8(S)     SDL_iconv_string("UTF-8", "WCHAR_T", (char *)S, (SDL_wcslen(S)+1)*sizeof(wchar_t))

DESCRIPTION
This is a helper macro that might be more clear than calling SDL_iconv_string directly. However, it double-evaluates its parameter, so do not use an expression with side-effects here.

MACRO PARAMETERS

S   the string to convert.

RETURN VALUE
Returns a new string, converted to the new encoding, or NULL on error.

AVAILABILITY
This macro is available since SDL 3.2.0.